/*
 * Copyright 2019 Oliwia Chrapowicka
 *
 * This file is part of QESG.
 *
 * QESG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * QESG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with QESG.  If not, see <http://www.gnu.org/licenses/>.
 */


//COMPILE WITH: g++ main.cpp -o main `pkg-config gtkmm-3.0 --cflags --libs`

#include "window_main.cpp"

using namespace std;


int main(int argc, char *argv[])
{
  auto app = Gtk::Application::create(argc, argv, "org.gtkmm.prog");

  window_main window;

  return app->run(window);
}
